Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class SubmitDefinitionBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
          org.apache.cocoon.forms.formmodel.ActionDefinitionBuilder
              org.apache.cocoon.forms.formmodel.SubmitDefinitionBuilder

All Implemented Interfaces:
  WidgetDefinitionBuilder

public final class SubmitDefinitionBuilder
extends ActionDefinitionBuilder

Builds a `<fd:submit>` widget. A submit is an action that terminates the current form. It can either require the form to be valid (in which case it will be redisplayed if not valid) or terminate it without validation (e.g. a "cancel" button).

The syntax is as follows:

       <wd:submit id="sub-id" command="cmd" validate="false"/>

The "validate" attribute can have the value `true` or `false` and determines if the form is to be validated (defaults to true).

Version:
  $Id: SubmitDefinitionBuilder.java 615336 2008-01-25 20:48:44Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`datatypeManager, expressionManager, widgetDefinitionBuilders, widgetListenerBuilders, widgetValidatorBuilders`

Constructor Summary
`SubmitDefinitionBuilder()`

Method Summary
`WidgetDefinition` | `buildWidgetDefinition(Element widgetElement, WidgetDefinitionBuilderContext context)`

Methods inherited from class org.apache.cocoon.forms.formmodel.ActionDefinitionBuilder
`setupDefinition`

Methods inherited from class org.apache.cocoon.forms.formmodel.AbstractWidgetDefinitionBuilder
`buildAnotherWidgetDefinition, buildEventListeners, buildWidgetDefinition, setCommonProperties, setCreateListeners, setDatatypeManager, setDisplayData, setExpressionManager, setupDefinition, setValidators, setWidgetDefinitionBuilders, setWidgetListenerBuilders, setWidgetValidatorBuilders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubmitDefinitionBuilder

    public SubmitDefinitionBuilder()

Method Detail

### buildWidgetDefinition

    public WidgetDefinition buildWidgetDefinition(Element widgetElement,
                                                  WidgetDefinitionBuilderContext context)
                                           throws Exception

  Specified by:
    `buildWidgetDefinition` in interface `WidgetDefinitionBuilder`
  Overrides:
    `buildWidgetDefinition` in class `ActionDefinitionBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.